LOCAL_PATH := $(call my-dir)

libecryptfs_src_files := \
	cmd_ln_parser.c \
	key_management.c \
	main.c \
	module_mgr.c \
	decision_graph.c \
	key_mod.c \
	messaging.c \
	packets.c \
	ecryptfs-stat.c \
	miscdev.c \
	sysfs.c \

libecryptfs_shared_libraries :=

libecryptfs_system_shared_libraries := libc

libecryptfs_static_libraries :=

libecryptfs_system_static_libraries := libc

libecryptfs_c_includes := external/e2fsprogs/lib

libecryptfs_cflags := -O2 -g -W -Wall -fno-strict-aliasing \
	-DHAVE_UNISTD_H \
	-DHAVE_ERRNO_H \
	-DHAVE_NETINET_IN_H \
	-DHAVE_SYS_IOCTL_H \
	-DHAVE_SYS_MMAN_H \
	-DHAVE_SYS_MOUNT_H \
	-DHAVE_SYS_RESOURCE_H \
	-DHAVE_SYS_SELECT_H \
	-DHAVE_SYS_STAT_H \
	-DHAVE_SYS_TYPES_H \
	-DHAVE_STDLIB_H \
	-DHAVE_STRDUP \
	-DHAVE_MMAP \
	-DHAVE_UTIME_H \
	-DHAVE_GETPAGESIZE \
	-DHAVE_TYPE_SSIZE_T \
	-DHAVE_SYS_TIME_H \
        -DHAVE_SYS_PARAM_H \
	-DHAVE_SYSCONF

libecryptfs_cflags_linux := \
	-DHAVE_LINUX_FD_H \
	-DHAVE_SYS_PRCTL_H \
	-DHAVE_LSEEK64 \
	-DHAVE_LSEEK64_PROTOTYPE

include $(CLEAR_VARS)

LOCAL_SRC_FILES := $(libecryptfs_src_files)
LOCAL_SYSTEM_SHARED_LIBRARIES := $(libecryptfs_system_shared_libraries)
LOCAL_SHARED_LIBRARIES := $(libecryptfs_shared_libraries)
LOCAL_C_INCLUDES := $(libecryptfs_c_includes)
LOCAL_CFLAGS := $(libecryptfs_cflags) $(libecryptfs_cflags_linux) -fno-strict-aliasing
LOCAL_MODULE := libecryptfs
LOCAL_MODULE_TAGS := optional

include $(BUILD_SHARED_LIBRARY)

include $(CLEAR_VARS)

LOCAL_SRC_FILES := $(libecryptfs_src_files)
LOCAL_STATIC_LIBRARIES := $(libecryptfs_static_libraries) $(libecryptfs_system_static_libraries)
LOCAL_C_INCLUDES := $(libecryptfs_c_includes)
LOCAL_CFLAGS := $(libecryptfs_cflags) $(libecryptfs_cflags_linux) -fno-strict-aliasing
LOCAL_MODULE := libecryptfs
LOCAL_MODULE_TAGS := optional

include $(BUILD_STATIC_LIBRARY)

include $(CLEAR_VARS)

LOCAL_SRC_FILES := $(libecryptfs_src_files)
LOCAL_SHARED_LIBRARIES := $(addsuffix _host, $(libecryptfs_shared_libraries))
LOCAL_C_INCLUDES := $(libecryptfs_c_includes)
ifeq ($(HOST_OS),linux)
LOCAL_CFLAGS := $(libecryptfs_cflags) $(libecryptfs_cflags_linux)
else
LOCAL_CFLAGS := $(libecryptfs_cflags)
endif
LOCAL_MODULE := libecryptfs_host
LOCAL_MODULE_TAGS := optional

include $(BUILD_HOST_SHARED_LIBRARY)
